Add zoom level 19
Closed, ResolvedPublic

Description

Maximum Kartographer zoom level is now 18. I ask to add zoom level 19 which is state of the art for all modern mapping tools including OSM.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 19 2017, 2:32 PM
debt triaged this task as Normal priority.Nov 20 2017, 5:14 PM
debt edited projects, added Maps (Kartographer); removed Maps.

Change 393972 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[maps/kartotherian@master] Bump maximum zoom to 19

https://gerrit.wikimedia.org/r/393972

debt moved this task from Backlog to Needs review on the Maps-Sprint board.
debt added a subscriber: Fjalapeno.

Change 394948 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] maps: Bump maximum zoom to 19

https://gerrit.wikimedia.org/r/394948

Change 393972 abandoned by Gehel:
Bump maximum zoom to 19

Reason:
replaced by https://gerrit.wikimedia.org/r/#/c/394948/

https://gerrit.wikimedia.org/r/393972

https://gerrit.wikimedia.org/r/#/c/394948/ should do the trick and enable zoom level 19. Before merging it, I'd like to:

  • have @Pnorman validation
  • finish the deployment of new packaging repos (T162241), we are in a somewhat messy state, I don't want to add too much changes at the same time.
Gehel added a comment.Feb 1 2018, 8:26 PM

We can deploy this config change once we deploy a new / clean kartotherian / tilerator version.

There is probably also a config update to be done in Kartographer. We'll need someone (collab team) to have a look on that side.

Change 394948 merged by Gehel:
[operations/puppet@production] maps: Bump maximum zoom to 19

https://gerrit.wikimedia.org/r/394948

Gehel added a comment.Feb 8 2018, 9:22 AM

Zoom level 19 has been enabled on tile generation. The different viewers must also be adapted to allow the user to zoom in to that new level. Creating subtasks to track that.

Gehel moved this task from Needs review to Prioritized on the Maps-Sprint board.Feb 8 2018, 9:41 AM
Gehel removed a project: Patch-For-Review.

Change 409395 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/extensions/Kartographer@master] Add support for zoom level 19 in Kartographer

https://gerrit.wikimedia.org/r/409395

Change 409395 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Add support for zoom level 19 in Kartographer

https://gerrit.wikimedia.org/r/409395

Mattflaschen-WMF renamed this task from <mapframe>, Kartographer: adding zoom level 19 to Add zoom level 19.Feb 13 2018, 5:37 AM
Mattflaschen-WMF edited projects, added Maps; removed Maps (Kartographer).
jmatazzoni raised the priority of this task from Normal to High.Feb 26 2018, 11:57 PM

The pull request to allow zoom level 19 on maps.wikimedia.org has been merged.

Next step: deploy to maps-test* and production.

Etonkovidova added a subscriber: Etonkovidova.EditedMar 14 2018, 9:47 AM

@SBisson to clarify - the last patch https://gerrit.wikimedia.org/r/#/c/409395/ "Add support for zoom level 19 in Kartographer" is included into deployment of wmf.25. The question: I see some inconsistency in displaying zoom controls on maps between testwiki (wmf.25) and enwikivoyage (wmf.24). Both wikis have Extension:Kartographer.

testwiki (wmf.25) does not display the zoom controls:

wmf.24 https://en.wikivoyage.org/wiki/User_talk:Zilant17/Sandbox will display the zoom controls:

I see the zoom controls in betalabs in UI:

@Etonkovidova: testwiki and most of the wikipedias have the "static map frame" configuration with less controls. wikivoyage and mediawiki do not have it so they can show more controls on the maps.

I don't know the history or the rationale for the various kartographer configurations but this difference is deliberate.

For reference, the following configuration variables would have an impact on the user experience:

  • $wgKartographerEnableMapFrame
  • $wgKartographerUseMarkerStyle
  • $wgKartographerWikivoyageMode
  • $wgKartographerStaticMapframe

Thx, @SBisson - since the latest deployment tag is wmf.25, I'll wait til enwikivoyage will have wmf.25 and check it there.

Checked in wikivoyage (wmf.25) - zoom level 19 is available.

QA recommendation: Resolve.

jmatazzoni closed this task as Resolved.Mar 15 2018, 5:16 PM
jmatazzoni claimed this task.